Bug 79155 - [Tesseract Game] Global Illumination: Medium Causes Color Distortion
Summary: [Tesseract Game] Global Illumination: Medium Causes Color Distortion
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-23 21:59 UTC by mmstickman
Modified: 2015-02-03 06:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Screenshot of graphical error (437.62 KB, image/jpeg)
2014-05-23 21:59 UTC, mmstickman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mmstickman 2014-05-23 21:59:35 UTC
Created attachment 99679 [details]
Screenshot of graphical error

Currently using a Radeon HD 7950 with the latest git of mesa. Setting Global Illumination to Medium or above causes graphical corruption.
Comment 1 mmstickman 2014-05-23 22:32:51 UTC
This bug does not occur on my Radeon HD 6850 or 4870 machines.
Comment 2 smoki 2014-05-24 01:01:53 UTC
 Do you use Tom's spill-fixes branch? I guess answer is 'yes' :).

 Without that branch a got "LLVM ERROR: ran out of registers during register allocation" when i tried to load 'complex' map with any Global Illumination settings, but for example 'test_ctf' loads fine :).

 r600 is of course not affected because it does not use llvm here like radeonsi do.
Comment 3 mmstickman 2014-05-24 01:40:05 UTC
I'm using the precompiled packages from the mesa git repo from archlinux.fr on my Arch Linux system so that would mean that they are shipping the packages with that branch.
Comment 4 smoki 2014-08-19 18:36:11 UTC
 This bug changed a little with current git, because there is no color changes now, but it does not work right llvm failed and seems just turn it off... At least there is no color changes :)

LLVM triggered Diagnostic Handler: SIInstrInfo::storeRegToStackSlot - Can't spill VGPR!
LLVM triggered Diagnostic Handler: SIInstrInfo::loadRegToStackSlot - Can't retrieve spilled VGPR!
LLVM triggered Diagnostic Handler: SIInstrInfo::storeRegToStackSlot - Can't spill VGPR!
........
LLVM triggered Diagnostic Handler: SIInstrInfo::storeRegToStackSlot - Can't spill VGPR!
LLVM triggered Diagnostic Handler: SIInstrInfo::loadRegToStackSlot - Can't retrieve spilled VGPR!
radeon_llvm_compile: Processing Diag Flag
LLVM failed to compile shader
EE si_state.c:2214 si_shader_select - Failed to build shader variant (type=1) 1
Comment 5 smoki 2014-10-05 10:11:06 UTC
  Currently when i try to check medium app just segfaulted.

 ...
 LLVM triggered Diagnostic Handler: SIInstrInfo::storeRegToStackSlot - Do not know how to spill register
LLVM triggered Diagnostic Handler: SIInstrInfo::loadRegFromStackSlot - Do not know how to restore register
radeon_llvm_compile: Processing Diag Flag
LLVM failed to compile shader
EE si_state.c:2289 si_shader_select - Failed to build shader variant (type=1) 1
Segmentation fault
Comment 6 smoki 2014-10-05 10:17:57 UTC
 At least it does not segfault on c74be01e80fcdd7feabc0f27df4aebe66abb626e, so it some of those Marek's commits after that.
Comment 7 smoki 2015-01-31 15:03:05 UTC
 This is fixed for me in current llvm-3.7 + mesa git.

 mmstickman, you might wanna recheck this for you card and eventually to close this bug.
Comment 8 Michel Dänzer 2015-02-03 06:28:39 UTC
Fixed with current Mesa and LLVM Git.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.